src/Entity/SiteHoraire.php
<?php

namespace App\Entity;

use App\Repository\SiteHoraireRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=SiteHoraireRepository::class)
 */
class SiteHoraire
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $day;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $AM_timetable;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $pm_timetable;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    private $is_ferie;

    /**
     * @ORM\OneToOne(targetEntity=Site::class,inversedBy="siteHoraires", cascade={"persist", "remove"})
     * @ORM\JoinColumn(nullable=false)
     */
    private $siteId;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDay(): ?string
    {
        return $this->day;
    }

    public function setDay(string $day): self
    {
        $this->day = $day;

        return $this;
    }

    public function getAMTimetable(): ?string
    {
        return $this->AM_timetable;
    }

    public function setAMTimetable(string $AM_timetable): self
    {
        $this->AM_timetable = $AM_timetable;

        return $this;
    }

    public function getPmTimetable(): ?string
    {
        return $this->pm_timetable;
    }

    public function setPmTimetable(string $pm_timetable): self
    {
        $this->pm_timetable = $pm_timetable;

        return $this;
    }

    public function getIsFerie(): ?bool
    {
        return $this->is_ferie;
    }

    public function setIsFerie(?bool $is_ferie): self
    {
        $this->is_ferie = $is_ferie;

        return $this;
    }

    public function getSiteId(): ?Site
    {
        return $this->siteId;
    }

    public function setSiteId(?Site $siteId): self
    {
        $this->siteId = $siteId;

        return $this;
    }
}

src/Form/SiteHoraireType.php
<?php

namespace App\Form;

use App\Entity\SiteHoraire;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\TextType;

class SiteHoraireType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('day', TextType::class, [
                'label' => 'Horaires (ex: Du lundi au vendredi)*',
            ])
            ->add('AM_timetable', TextType::class, [
                'label' => 'Horaires matinée (ex: 9h-12h)*',
            ])
            ->add('pm_timetable', TextType::class, [
                'label' => 'Horaires Aprés-midi (ex: 13h-18h)*',
            ])
            ->add('is_ferie', CheckboxType::class, [
                'label' => 'Est férié',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => SiteHoraire::class,
        ]);
    }
}

src/Controller/SiteHoraireController.php
<?php

namespace App\Controller;

use App\Entity\SiteHoraire;
use App\Form\SiteHoraireType;
use App\Repository\SiteHoraireRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/site/horaire")
 */
class SiteHoraireController extends AbstractController
{
    /**
     * @Route("/", name="site_horaire_index", methods={"GET"})
     */
    public function index(SiteHoraireRepository $siteHoraireRepository): Response
    {
        return $this->render('site_horaire/index.html.twig', [
            'site_horaires' => $siteHoraireRepository->findAll(),
        ]);
    }

    /**
     * @Route("/new", name="site_horaire_new", methods={"GET","POST"})
     */
    public function new(Request $request): Response
    {
        $siteHoraire = new SiteHoraire();
        $form = $this->createForm(SiteHoraireType::class, $siteHoraire);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->persist($siteHoraire);
            $entityManager->flush();

            return $this->redirectToRoute('site_horaire_index');
        }

        return $this->render('site_horaire/new.html.twig', [
            'site_horaire' => $siteHoraire,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="site_horaire_show", methods={"GET"})
     */
    public function show(SiteHoraire $siteHoraire): Response
    {
        return $this->render('site_horaire/show.html.twig', [
            'site_horaire' => $siteHoraire,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="site_horaire_edit", methods={"GET","POST"})
     */
    public function edit(Request $request, SiteHoraire $siteHoraire): Response
    {
        $form = $this->createForm(SiteHoraireType::class, $siteHoraire);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('site_horaire_index');
        }

        return $this->render('site_horaire/edit.html.twig', [
            'site_horaire' => $siteHoraire,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="site_horaire_delete", methods={"DELETE"})
     */
    public function delete(Request $request, SiteHoraire $siteHoraire): Response
    {
        if ($this->isCsrfTokenValid('delete'.$siteHoraire->getId(), $request->request->get('_token'))) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->remove($siteHoraire);
            $entityManager->flush();
        }

        return $this->redirectToRoute('site_horaire_index');
    }
}

templates/site_horaire/_delete_form.html.twig
<form method="post" action="{{ path('site_horaire_delete', {'id': site_horaire.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ site_horaire.id) }}">
    <button class="btn">Delete</button>
</form>

templates/site_horaire/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/site_horaire/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit SiteHoraire{% endblock %}

{% block body %}
    <h1>Edit SiteHoraire</h1>

    {{ include('site_horaire/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('site_horaire_index') }}">back to list</a>

    {{ include('site_horaire/_delete_form.html.twig') }}
{% endblock %}

templates/site_horaire/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}SiteHoraire index{% endblock %}

{% block body %}
    <h1>SiteHoraire index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Day</th>
                <th>AM_timetable</th>
                <th>Pm_timetable</th>
                <th>Is_ferie</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for site_horaire in site_horaires %}
            <tr>
                <td>{{ site_horaire.id }}</td>
                <td>{{ site_horaire.day }}</td>
                <td>{{ site_horaire.AMTimetable }}</td>
                <td>{{ site_horaire.pmTimetable }}</td>
                <td>{{ site_horaire.isFerie ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('site_horaire_show', {'id': site_horaire.id}) }}">show</a>
                    <a href="{{ path('site_horaire_edit', {'id': site_horaire.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('site_horaire_new') }}">Create new</a>
{% endblock %}

templates/site_horaire/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New SiteHoraire{% endblock %}

{% block body %}
    <h1>Create new SiteHoraire</h1>

    {{ include('site_horaire/_form.html.twig') }}

    <a href="{{ path('site_horaire_index') }}">back to list</a>
{% endblock %}

templates/site_horaire/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}SiteHoraire{% endblock %}

{% block body %}
    <h1>SiteHoraire</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ site_horaire.id }}</td>
            </tr>
            <tr>
                <th>Day</th>
                <td>{{ site_horaire.day }}</td>
            </tr>
            <tr>
                <th>AM_timetable</th>
                <td>{{ site_horaire.AMTimetable }}</td>
            </tr>
            <tr>
                <th>Pm_timetable</th>
                <td>{{ site_horaire.pmTimetable }}</td>
            </tr>
            <tr>
                <th>Is_ferie</th>
                <td>{{ site_horaire.isFerie ? 'Yes' : 'No' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('site_horaire_index') }}">back to list</a>

    <a href="{{ path('site_horaire_edit', {'id': site_horaire.id}) }}">edit</a>

    {{ include('site_horaire/_delete_form.html.twig') }}
{% endblock %}